using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Text;

namespace PropertyGridDemo
{
	public class Item
	{
		[Browsable(false)] // padarom kad nerodytu ko nereikia propertygrid'e
		virtual public string tableName
		{
			get
			{
				return null;
			}
		}

		// attributes
		string _Id;
		bool _IsNew = true;

		// properties
		[DisplayName("ID"), Category("DB Info"), Description("Unikalus idendifikatorius")]
		public string Id
		{
			get { return _Id; }
			set { _Id = value; }
		}

		public void Update ()
		{
			if (tableName == null)
				throw new Exception ("Table name not defined!");

			string sql;

			if (_IsNew)
			{
				sql = "Insert into " + tableName + " blablabla...";
			}
			else
			{
				sql = "Update " + tableName + " blablabla...";
			}

			// Cia apdirbamas sql

		}
	}
}
